Bug 426092

Summary: Blank screen/ App crash on random launches
Product: krita Reporter: wipro940
Component: UsabilityAssignee: sh_zam <shzam>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: 4.4.0   
Target Milestone: ---   
Platform: Android   
OS: ChromeOS   
Latest Commit: Version Fixed In:
Attachments: Android Crash Logcat
Krita 4.4.0 Logs - Samsung Chromebook

Description wipro940 2020-09-02 09:54:07 UTC
Created attachment 131356 [details]
Android Crash Logcat

SUMMARY
Application crashes on random launches

STEPS TO REPRODUCE
1. Install the app Krita (Early Access)
https://play.google.com/store/apps/details?id=org.krita&hl=en
2. Launch and use the app for a while
3. Close and relaunch the app
4. On random launches blank screen/app crash observed.
 

OBSERVED RESULT
Application crashes on random launces

EXPECTED RESULT
App should work fine without any issues


SOFTWARE/OS VERSIONS
Android 9.x - ChromeOS -85.0.4183.57

ADDITIONAL INFORMATION
Tested Devices
1. Acer AMD 
2. Samsung Chromebook Pro
3. Samsung Chromebook Plus
4. HP Chromebook X2
5. Intel Apollo Lake Chromebook
Comment 1 sh_zam 2020-10-15 12:44:14 UTC
Hello.

Are you able to reproduce this crash with recent 4.4.0 update as well?

I tried it on my Pixelbook (Intel). But couldn't reproduce it.

The attached crash log isn't related to Krita I'm afraid. If you could attach one by doing `adb logcat --pid=$(adb shell pgrep krita)` -- maybe then I'll have a clue.
Comment 2 wipro940 2020-10-21 09:05:36 UTC
Created attachment 132598 [details]
Krita 4.4.0 Logs - Samsung Chromebook

--------- beginning of crash
10-21 13:38:02.629 17746 17762 F libc    : Fatal signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4 in tid 17762 (qtMainLoopThrea), pid 17746 (org.krita)
10-21 13:38:02.712 17797 17797 I crash_dump32: obtaining output fd from tombstoned, type: kDebuggerdTombstone
10-21 13:38:02.721   144   144 I /system/bin/tombstoned: received crash request for pid 17762
10-21 13:38:02.721 17797 17797 I crash_dump32: performing dump of process 17746 (target tid = 17762)
10-21 13:38:02.730 17797 17797 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
10-21 13:38:02.730 17797 17797 F DEBUG   : Build fingerprint: 'google/caroline/caroline_cheets:9/R86-13421.47.0/6867998:user/release-keys'
10-21 13:38:02.730 17797 17797 F DEBUG   : Revision: '0'
10-21 13:38:02.730 17797 17797 F DEBUG   : ABI: 'x86'
10-21 13:38:02.730 17797 17797 F DEBUG   : pid: 17746, tid: 17762, name: qtMainLoopThrea  >>> org.krita <<<
10-21 13:38:02.730 17797 17797 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4
10-21 13:38:02.730 17797 17797 F DEBUG   : Cause: null pointer dereference
10-21 13:38:02.730 17797 17797 F DEBUG   :     eax 00000000  ebx ccfae950  ecx 00000001  edx d1eff970
10-21 13:38:02.730 17797 17797 F DEBUG   :     edi d1efe640  esi d1efe5d8
10-21 13:38:02.730 17797 17797 F DEBUG   :     ebp d1efe5b8  esp d1efe5b8  eip d18e4b29
10-21 13:38:02.760 17797 17797 F DEBUG   : 
10-21 13:38:02.760 17797 17797 F DEBUG   : backtrace:
10-21 13:38:02.760 17797 17797 F DEBUG   :     #00 pc 00293b29  /data/app/org.krita-lBdDwKv3nwdkZWrKPlK6TA==/lib/x86/libQt5Core.so (QObject::thread() const+9)
Comment 3 Bug Janitor Service 2020-10-22 04:33:18 UTC
Thanks for your comment!

Automatically switching the status of this bug to REPORTED so that the KDE team
knows that the bug is ready to get confirmed.

In the future you may also do this yourself when providing needed information.
Comment 4 Bug Janitor Service 2020-11-06 11:22:42 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/573
Comment 5 sh_zam 2020-11-09 09:22:24 UTC
Git commit 194bc293b8122f5b0b2cbd8ba20dc8af2b20201f by Sharaf Zaman.
Committed on 09/11/2020 at 09:20.
Pushed by szaman into branch 'krita/4.3'.

Bugfix: crash when File->Quit is used or..

if app is killed. This happens on ChromeOS and few other devices which
let the process live a beyond the Activity, so when the control reaches
exit() on C++ side -- it crashes while cleaning global static state.

M  +33   -2    packaging/android/apk/src/org/krita/android/MainActivity.java

https://invent.kde.org/graphics/krita/commit/194bc293b8122f5b0b2cbd8ba20dc8af2b20201f
Comment 6 sh_zam 2020-11-09 09:22:58 UTC
Git commit a4e042c4957d904797203c6c6c0dc1474794ea2c by Sharaf Zaman.
Committed on 09/11/2020 at 09:22.
Pushed by szaman into branch 'master'.

Bugfix: crash when File->Quit is used or..

if app is killed. This happens on ChromeOS and few other devices which
let the process live a beyond the Activity, so when the control reaches
exit() on C++ side -- it crashes while cleaning global static state.


(cherry picked from commit 194bc293b8122f5b0b2cbd8ba20dc8af2b20201f)

M  +33   -2    packaging/android/apk/src/org/krita/android/MainActivity.java

https://invent.kde.org/graphics/krita/commit/a4e042c4957d904797203c6c6c0dc1474794ea2c
Comment 7 wipro940 2021-02-11 00:14:03 UTC
Issue is fixed in 4.4.2. Close the issue.